TypeError when trying to build ubuntu-fan

Bug #1741472 reported by Andreas Hasenack on 2018-01-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
usd-importer
Undecided
Nish Aravamudan

Bug Description

$ snap list git-ubuntu --all
Name Version Rev Developer Notes
git-ubuntu 0.6.2+git49.967f050 345 nacc classic

andreas@nsnx:~/x$ rm -rf *
andreas@nsnx:~/x$ git ubuntu clone ubuntu-fan
remote: Counting objects: 481, done.
remote: Compressing objects: 100% (238/238), done.
remote: Total 481 (delta 210), reused 481 (delta 210)
Receiving objects: 100% (481/481), 166.85 KiB | 203.00 KiB/s, done.
Resolving deltas: 100% (210/210), done.
From https://git.launchpad.net/~usd-import-team/ubuntu/+source/ubuntu-fan
 * [new branch] applied/ubuntu/artful -> pkg/applied/ubuntu/artful
...
 * [new tag] import/0.9.2 -> pkg/import/0.9.2
remote: Counting objects: 7, done.
remote: Compressing objects: 100% (6/6), done.
remote: Total 7 (delta 5), reused 3 (delta 1)
Unpacking objects: 100% (7/7), done.
From https://git.launchpad.net/~ahasenack/ubuntu/+source/ubuntu-fan
 * [new branch] artful-fanctl-1737640 -> ahasenack/artful-fanctl-1737640

andreas@nsnx:~/x$ cd ubuntu-fan/

(ubuntu/devel)andreas@nsnx:~/x/ubuntu-fan$ git ubuntu build-source -v --lxd-image ubuntu-bionic
01/05/2018 10:54:11 - DEBUG:Executing: git config gitubuntu.lpuser
01/05/2018 10:54:11 - DEBUG:Executing: grep -q "* -ident" /home/andreas/x/ubuntu-fan/.git/info/attributes
01/05/2018 10:54:11 - DEBUG:Executing: grep -q "* -text" /home/andreas/x/ubuntu-fan/.git/info/attributes
01/05/2018 10:54:11 - DEBUG:Executing: grep -q "* -eol" /home/andreas/x/ubuntu-fan/.git/info/attributes
01/05/2018 10:54:11 - DEBUG:Executing: git config gitubuntu.lpuser
01/05/2018 10:54:11 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -n1 -SVersion"
01/05/2018 10:54:11 - DEBUG:Executing: git status --porcelain
01/05/2018 10:54:11 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -SSource"
01/05/2018 10:54:11 - DEBUG:fetch_orig_from_parent_dir(source=None) failed
01/05/2018 10:54:11 - DEBUG:fetch_orig_from_cache(source=ubuntu) failed
01/05/2018 10:54:11 - DEBUG:Executing: pristine-tar list
01/05/2018 10:54:11 - DEBUG:Executing: pristine-tar list
01/05/2018 10:54:11 - WARNING:No pristine-tar data found for 0.12.8
01/05/2018 10:54:11 - DEBUG:fetch_orig_from_pristine_tar(source=ubuntu) failed
01/05/2018 10:54:16 - DEBUG:Checking if upstream version of publish 0.12.8 matches 0.12.8
01/05/2018 10:54:16 - DEBUG:Upstream version of publish 0.12.8 matches
01/05/2018 10:54:20 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -SDistribution"
01/05/2018 10:54:21 - DEBUG:Caching dsc file
Traceback (most recent call last):
  File "/snap/git-ubuntu/345/bin/git-ubuntu", line 11, in <module>
    load_entry_point('gitubuntu==0.6.2', 'console_scripts', 'git-ubuntu')()
  File "/snap/git-ubuntu/345/lib/python3.6/site-packages/gitubuntu/__main__.py", line 243, in main
    sys.exit(args.func(args))
  File "/snap/git-ubuntu/345/lib/python3.6/site-packages/gitubuntu/buildsource.py", line 103, in cli_main
    default_rem_args=default_rem_args,
  File "/snap/git-ubuntu/345/lib/python3.6/site-packages/gitubuntu/build.py", line 701, in cli_main
    retry_backoffs=args.retry_backoffs,
  File "/snap/git-ubuntu/345/lib/python3.6/site-packages/gitubuntu/build.py", line 487, in main
    retry_backoffs,
  File "/snap/git-ubuntu/345/lib/python3.6/site-packages/gitubuntu/build.py", line 1213, in fetch_orig_and_build
    tarballs = entry.mechanism(changelog, entry.source)
  File "/snap/git-ubuntu/345/lib/python3.6/site-packages/gitubuntu/build.py", line 379, in fetch_orig_from_launchpad
    cached_paths.append(_populate_cache(srcpkg_cache_dir, path))
  File "/snap/git-ubuntu/345/lib/python3.6/site-packages/gitubuntu/build.py", line 172, in _populate_cache
    cache_file_name = os.path.basename(src_path)
  File "/snap/git-ubuntu/345/usr/lib/python3.6/posixpath.py", line 144, in basename
    p = os.fspath(p)
TypeError: expected str, bytes or os.PathLike object, not NoneType

Related branches

Robie Basak (racb) on 2018-01-05
tags: added: build
Nish Aravamudan (nacc) on 2018-01-06
Changed in usd-importer:
status: New → In Progress
assignee: nobody → Nish Aravamudan (nacc)
milestone: none → future
Download full text (4.0 KiB)

I know this is in progress, but juts FYI recent edge still fails, but with slightly different error messages:

$ git ubuntu build-source --verbose --sign --for-merge
01/29/2018 12:54:13 - DEBUG:Executing: git config gitubuntu.lpuser
01/29/2018 12:54:13 - DEBUG:Executing: grep -q "* -ident" /tmp/review/ubuntu-fan/.git/info/attributes
01/29/2018 12:54:13 - DEBUG:Executing: grep -q "* -text" /tmp/review/ubuntu-fan/.git/info/attributes
01/29/2018 12:54:13 - DEBUG:Executing: grep -q "* -eol" /tmp/review/ubuntu-fan/.git/info/attributes
01/29/2018 12:54:13 - DEBUG:Executing: git config gitubuntu.lpuser
01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -n1 -SVersion"
01/29/2018 12:54:13 - DEBUG:Executing: git status --porcelain
01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -n1 -SVersion"
01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -n1 -o1 -SVersion"
01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -SSource"
01/29/2018 12:54:13 - DEBUG:fetch_orig_from_parent_dir(source=None) failed
01/29/2018 12:54:13 - DEBUG:fetch_orig_from_cache(source=debian) failed
01/29/2018 12:54:13 - DEBUG:Executing: pristine-tar list
01/29/2018 12:54:13 - DEBUG:Executing: pristine-tar list
01/29/2018 12:54:14 - WARNING:No pristine-tar data found for 0.12.9~17.10.1
01/29/2018 12:54:14 - DEBUG:fetch_orig_from_pristine_tar(source=debian) failed
Traceback (most recent call last):
  File "/snap/git-ubuntu/352/bin/git-ubuntu", line 11, in <module>
    load_entry_point('gitubuntu==0.6.2', 'console_scripts', 'git-ubuntu')()
  File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/__main__.py", line 243, in main
    sys.exit(args.func(args))
  File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/buildsource.py", line 103, in cli_main
    default_rem_args=default_rem_args,
  File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 707, in cli_main
    retry_backoffs=args.retry_backoffs,
  File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 493, in main
    retry_backoffs,
  File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 1203, in fetch_orig_and_build
    tarballs = entry.mechanism(changelog, entry.source)
  File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 345, in fetch_orig_from_launchpad
    for spi in versions_published:
  File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/source_information.py", line 444, in launchpad_versions_published
    (self.pkgname, self.dist_name))
gitubuntu.source_information.NoPublicationHistoryException: Is ubuntu-fan published in debian?

TL;DR - it can't find the orig tarball, but in this case there won't ever be one (it is native in Ubuntu, we bump the version and expect it to build a new tarball from the source)
I tried without for-merge, but got the same result.

dpkg-buildpackage seems to understand the case:

$ dpkg-buildpackage -S -nc -d -sa
dpkg-buildpackage: source package ubuntu-fan
dpkg-buildpackage: source version 0.12.9~17.10.1
d...

Read more...

Download full text (4.5 KiB)

The fix for the nnewer issue is part of #1741472

On Mon, Jan 29, 2018 at 3:56 AM, ChristianEhrhardt
<email address hidden> wrote:
> I know this is in progress, but juts FYI recent edge still fails, but
> with slightly different error messages:
>
> $ git ubuntu build-source --verbose --sign --for-merge
> 01/29/2018 12:54:13 - DEBUG:Executing: git config gitubuntu.lpuser
> 01/29/2018 12:54:13 - DEBUG:Executing: grep -q "* -ident" /tmp/review/ubuntu-fan/.git/info/attributes
> 01/29/2018 12:54:13 - DEBUG:Executing: grep -q "* -text" /tmp/review/ubuntu-fan/.git/info/attributes
> 01/29/2018 12:54:13 - DEBUG:Executing: grep -q "* -eol" /tmp/review/ubuntu-fan/.git/info/attributes
> 01/29/2018 12:54:13 - DEBUG:Executing: git config gitubuntu.lpuser
> 01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -n1 -SVersion"
> 01/29/2018 12:54:13 - DEBUG:Executing: git status --porcelain
> 01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -n1 -SVersion"
> 01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -n1 -o1 -SVersion"
> 01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -SSource"
> 01/29/2018 12:54:13 - DEBUG:fetch_orig_from_parent_dir(source=None) failed
> 01/29/2018 12:54:13 - DEBUG:fetch_orig_from_cache(source=debian) failed
> 01/29/2018 12:54:13 - DEBUG:Executing: pristine-tar list
> 01/29/2018 12:54:13 - DEBUG:Executing: pristine-tar list
> 01/29/2018 12:54:14 - WARNING:No pristine-tar data found for 0.12.9~17.10.1
> 01/29/2018 12:54:14 - DEBUG:fetch_orig_from_pristine_tar(source=debian) failed
> Traceback (most recent call last):
> File "/snap/git-ubuntu/352/bin/git-ubuntu", line 11, in <module>
> load_entry_point('gitubuntu==0.6.2', 'console_scripts', 'git-ubuntu')()
> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/__main__.py", line 243, in main
> sys.exit(args.func(args))
> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/buildsource.py", line 103, in cli_main
> default_rem_args=default_rem_args,
> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 707, in cli_main
> retry_backoffs=args.retry_backoffs,
> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 493, in main
> retry_backoffs,
> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 1203, in fetch_orig_and_build
> tarballs = entry.mechanism(changelog, entry.source)
> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 345, in fetch_orig_from_launchpad
> for spi in versions_published:
> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/source_information.py", line 444, in launchpad_versions_published
> (self.pkgname, self.dist_name))
> gitubuntu.source_information.NoPublicationHistoryException: Is ubuntu-fan published in debian?
>
>
>
>
> TL;DR - it can't find the orig tarball, but in this case there won't ever be one (it is native in Ubuntu, we bump the version and expect it to build a new tarball from the source)
> I tried without for-merge, but got the same result.
>
> dpkg-buildpackage seems to ...

Read more...

Nish Aravamudan (nacc) wrote :

On Mon, Jan 29, 2018 at 3:31 PM, Nish Aravamudan
<email address hidden> wrote:
> The fix for the nnewer issue is part of #1741472
>
> On Mon, Jan 29, 2018 at 3:56 AM, ChristianEhrhardt
> <email address hidden> wrote:
>> I know this is in progress, but juts FYI recent edge still fails, but
>> with slightly different error messages:
>>
>> $ git ubuntu build-source --verbose --sign --for-merge
>> 01/29/2018 12:54:13 - DEBUG:Executing: git config gitubuntu.lpuser
>> 01/29/2018 12:54:13 - DEBUG:Executing: grep -q "* -ident" /tmp/review/ubuntu-fan/.git/info/attributes
>> 01/29/2018 12:54:13 - DEBUG:Executing: grep -q "* -text" /tmp/review/ubuntu-fan/.git/info/attributes
>> 01/29/2018 12:54:13 - DEBUG:Executing: grep -q "* -eol" /tmp/review/ubuntu-fan/.git/info/attributes
>> 01/29/2018 12:54:13 - DEBUG:Executing: git config gitubuntu.lpuser
>> 01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -n1 -SVersion"
>> 01/29/2018 12:54:13 - DEBUG:Executing: git status --porcelain
>> 01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -n1 -SVersion"
>> 01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -n1 -o1 -SVersion"
>> 01/29/2018 12:54:13 - DEBUG:Executing: sh -c "dpkg-parsechangelog -l- -SSource"
>> 01/29/2018 12:54:13 - DEBUG:fetch_orig_from_parent_dir(source=None) failed
>> 01/29/2018 12:54:13 - DEBUG:fetch_orig_from_cache(source=debian) failed
>> 01/29/2018 12:54:13 - DEBUG:Executing: pristine-tar list
>> 01/29/2018 12:54:13 - DEBUG:Executing: pristine-tar list
>> 01/29/2018 12:54:14 - WARNING:No pristine-tar data found for 0.12.9~17.10.1
>> 01/29/2018 12:54:14 - DEBUG:fetch_orig_from_pristine_tar(source=debian) failed
>> Traceback (most recent call last):
>> File "/snap/git-ubuntu/352/bin/git-ubuntu", line 11, in <module>
>> load_entry_point('gitubuntu==0.6.2', 'console_scripts', 'git-ubuntu')()
>> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/__main__.py", line 243, in main
>> sys.exit(args.func(args))
>> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/buildsource.py", line 103, in cli_main
>> default_rem_args=default_rem_args,
>> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 707, in cli_main
>> retry_backoffs=args.retry_backoffs,
>> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 493, in main
>> retry_backoffs,
>> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 1203, in fetch_orig_and_build
>> tarballs = entry.mechanism(changelog, entry.source)
>> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/build.py", line 345, in fetch_orig_from_launchpad
>> for spi in versions_published:
>> File "/snap/git-ubuntu/352/lib/python3.6/site-packages/gitubuntu/source_information.py", line 444, in launchpad_versions_published
>> (self.pkgname, self.dist_name))
>> gitubuntu.source_information.NoPublicationHistoryException: Is ubuntu-fan published in debian?

Ah wait, why are you telling it for-merge? ubuntu-fan does not exist in Debian.

Oh we tried both it doesn't matter - the error is (almost) the same.
the for-merge case just happened to be the one I grabbed the log.

Without it looks just the same with s/debian/ubuntu/

01/31/2018 07:51:08 - INFO:New upstream version detected (0.12.9~17.10.1) which is after the last published upstream version (0.12.9).
01/31/2018 07:51:08 - DEBUG:fetch_orig_from_launchpad(source=ubuntu) failed
Traceback (most recent call last):
  File "/snap/git-ubuntu/354/lib/python3.6/site-packages/gitubuntu/build.py", line 493, in main
    retry_backoffs,
  File "/snap/git-ubuntu/354/lib/python3.6/site-packages/gitubuntu/build.py", line 1253, in fetch_orig_and_build
    "All potential search mechanisms were tried, "
RuntimeError: All potential search mechanisms were tried, but none produced a successful build.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers